This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | PShape
Name | ### getVertexCount()
Examples |
    PShape s;

    void setup() {
      size(100, 100, P2D);
      s = createShape();
      s.beginShape();
      s.vertex(0, 0);
      s.vertex(60, 0);
      s.vertex(60, 60);
      s.vertex(0, 60);
      s.endShape(CLOSE);
    }

    void draw() {
      translate(20, 20);
      for (int i = 0; i < s.getVertexCount(); i++) {
        PVector v = s.getVertex(i);
        v.x += random(-1, 1);
        v.y += random(-1, 1);
        s.setVertex(i, v);
      }
      shape(s);
    }
Description | The getVertexCount() method returns the number of vertices that make up a PShape. In the above example, the value 4 is returned by the getVertexCount() method because 4 vertices are defined in setup().
Syntax |
    sh.getVertexCount()
Parameters |
sh | PShape: any variable of type PShape
Returns | int
Related | getVertex() setVertex()

Updated on October 26, 2013 08:58:33pm PDT